# Class VulkanDebugUtilsLabelEXT.Builder

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsLabelEXT.Builder

Enclosing class:
  `VulkanDebugUtilsLabelEXT`

public static final class VulkanDebugUtilsLabelEXT.Builder extends Object
Builds instances of type `VulkanDebugUtilsLabelEXT`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDebugUtilsLabelEXT`
  `build()`
  Builds a new `VulkanDebugUtilsLabelEXT`.
  `final VulkanDebugUtilsLabelEXT.Builder`
  `from(VulkanDebugUtilsLabelEXTType instance)`
  Fill a builder with attribute values from the provided `VulkanDebugUtilsLabelEXTType` instance.
  `final VulkanDebugUtilsLabelEXT.Builder`
  `setColor(VulkanDebugUtilsLabelColor color)`
  Initializes the value for the `color` attribute.
  `final VulkanDebugUtilsLabelEXT.Builder`
  `setName(String name)`
  Initializes the value for the `name` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDebugUtilsLabelEXT.Builder from(VulkanDebugUtilsLabelEXTType instance)
    Fill a builder with attribute values from the provided `VulkanDebugUtilsLabelEXTType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setName

    public final VulkanDebugUtilsLabelEXT.Builder setName(String name)
    Initializes the value for the `name` attribute.
    Parameters:
      `name` - The value for name
    Returns:
      `this` builder for use in a chained invocation

  - ### setColor

    public final VulkanDebugUtilsLabelEXT.Builder setColor(VulkanDebugUtilsLabelColor color)
    Initializes the value for the `color` attribute.
    Parameters:
      `color` - The value for color
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDebugUtilsLabelEXT build()
    Builds a new `VulkanDebugUtilsLabelEXT`.
    Returns:
      An immutable instance of VulkanDebugUtilsLabelEXT
    Throws:
      `IllegalStateException` - if any required attributes are missing